package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.BisAcciAssessRecMapper;
import com.goldenwater.slaj.acci.domain.BisAcciAssessRec;
import com.goldenwater.slaj.acci.service.IBisAcciAssessRecService;

/**
 * 事故考核记录 服务层实现
 */
@Service
public class BisAcciAssessRecServiceImpl implements IBisAcciAssessRecService {

    @Autowired
    private BisAcciAssessRecMapper bisAcciAssessRecMapper;

    /**
     * 查询事故考核记录信息
     * @param id 查询条件
     * @return 事故考核记录信息
     */
    @Override
    public BisAcciAssessRec selectBisAcciAssessRecById(Long id) {
        return bisAcciAssessRecMapper.selectBisAcciAssessRecById(id);
    }

    /**
     * 查询事故考核记录列表
     * @param bisAcciAssessRec 事故考核记录查询条件
     * @return 事故考核记录集合
     */
    @Override
    public List<BisAcciAssessRec> selectBisAcciAssessRecList(BisAcciAssessRec bisAcciAssessRec) {
        return bisAcciAssessRecMapper.selectBisAcciAssessRecList(bisAcciAssessRec);
    }

    /**
     * 新增事故考核记录
     * @param bisAcciAssessRec 事故考核记录信息
     * @return 影响行数
     */
    @Override
    public int insertBisAcciAssessRec(BisAcciAssessRec bisAcciAssessRec) {
        return bisAcciAssessRecMapper.insertBisAcciAssessRec(bisAcciAssessRec);
    }

    /**
     * 修改事故考核记录
     * @param bisAcciAssessRec 事故考核记录信息
     * @return 影响行数
     */
    @Override
    public int updateBisAcciAssessRec(BisAcciAssessRec bisAcciAssessRec) {
        return bisAcciAssessRecMapper.updateBisAcciAssessRec(bisAcciAssessRec);
    }

    /**
     * 删除事故考核记录
     * @param id 事故考核记录主键
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciAssessRecById(Long id) {
        return bisAcciAssessRecMapper.deleteBisAcciAssessRecById(id);
    }

    /**
     * 批量删除事故考核记录
     * @param ids 事故考核记录主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciAssessRecByIds(Long[] ids) {
        return bisAcciAssessRecMapper.deleteBisAcciAssessRecByIds(ids);
    }
}
